> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event metrics by event key

> Retrieve analytics and metrics for a specific event key



## OpenAPI

````yaml /openapi.json get /api/public/event-metrics/metrics
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/event-metrics/metrics:
    get:
      tags:
        - Public Event Metrics
      summary: Get event metrics by event key
      description: Retrieve analytics and metrics for a specific event key
      operationId: PublicEventMetricsController_getEventMetrics
      parameters:
        - name: eventKey
          required: true
          in: query
          schema:
            type: string
        - name: startDate
          required: false
          in: query
          schema:
            type: string
        - name: endDate
          required: false
          in: query
          schema:
            type: string
        - name: phoneNumber
          required: false
          in: query
          schema:
            type: string
        - name: includeCustomerDetails
          required: false
          in: query
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Event metrics retrieved successfully
        '404':
          description: Event not found or not active

````